import { createLocalVue, shallowMount } from '@vue/test-utils';
import MButton from './MButton.vue';

describe('MButton', () => {
  function init(props) {
    const localVue = createLocalVue();
    return shallowMount(MButton, {
      propsData: props,
      localVue
    });
  }

  describe('label', () => {
    it('should display button label when label props is provided.', () => {
      const wrapper = init({ label: 'Button label' });

      expect(wrapper.text()).toEqual('Button label');
    });
  });
});
